This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475181 - hp-sendfax hangs forever
hp-sendfax hangs forever
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hplip3 (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
:
Depends On: 426898
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 06:48 EST by Tim Waugh
Modified: 2013-03-11 11:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 11:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-12-08 06:48:25 EST
+++ This bug was initially created as a clone of Bug #426898 +++

Description of problem:
Can't add a file to the hp-sendfax interface.  It opens up a dialog that says
"Processing fax file..." and hangs forever.

Version-Release number of selected component (if applicable):
hplip-2.7.7-6.fc8.x86_64

How reproducible:
Always

Additional info:
This is the same bug reported on the hplip forums.  The attached patch was
extracted from this report, and fixes the problem on my system:
https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/153152

--- Additional comment from wart@kobold.org on 2007-12-28 01:53:53 EDT ---

Created an attachment (id=290483)
Patch to set correct fax temp directory


--- Additional comment from wart@kobold.org on 2007-12-28 11:40:34 EDT ---

Using this patch results in a few selinux avc denials that can be fixed by
adding these policy rules:

files_manage_generic_tmp_dirs(hplip_t)
files_manage_generic_tmp_files(hplip_t)

--- Additional comment from oli@helheim.org.uk on 2008-06-20 12:43:24 EDT ---

I am experiencing this bug also and would be happy to assist with any testing
if/as required - let me know what needs to be done...

--- Additional comment from fedora-triage-list@redhat.com on 2008-11-26 04:11:46 EDT ---


This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from oli@helheim.org.uk on 2008-12-06 07:19:28 EDT ---

This problem is also affecting RHEL 5.2 (hplip-1.6.7-4.1.el5_2.4).

Can the product be changed to that instead, so the bug can remain open?
Comment 2 Oli Wade 2009-01-09 06:13:05 EST
Many thanks for creating this new bug. What do I need to do to assist with confirming and/or fixing it?
Comment 3 RHEL Product and Program Management 2009-03-26 12:47:32 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Oli Wade 2009-05-28 06:03:27 EDT
The underlying cause of this seems to be the same as bug #233692 (FC6).

Dependent bug in RHEL is #501834; support says it will be fixed in 5.5 (with an update to HPLIP 1.7.x).
Comment 5 RHEL Product and Program Management 2009-11-06 13:42:27 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 RHEL Product and Program Management 2012-04-02 06:20:54 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 9 RHEL Product and Program Management 2012-06-11 21:01:03 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 11 RHEL Product and Program Management 2012-06-13 07:29:50 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 12 RHEL Product and Program Management 2012-06-14 08:29:54 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 13 Jiri Popelka 2013-03-11 11:10:53 EDT
RHEL-5.10 (the next RHEL-5 minor release) is going to be the first production phase 2 [1] release of RHEL-5.
Since phase 2 we'll be addressing only security and critical issues.
I'm closing this ticket as WONTFIX because this problem is neither security nor critical.

[1] https://access.redhat.com/support/policy/updates/errata/

Note You need to log in before you can comment on or make changes to this bug.